Rensei docs

Archive the project- or workflow-scope stage row for a key (project admin).

Archive the project- or workflow-scope stage row for a key (project admin). - Rensei REST API operation reference.

DELETE
/api/projects/{projectId}/stages/{key}

Authorization

headerAuthorizationBearer <WorkOS user access token>

WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.

Path Parameters

projectId*string

The project id.

key*string

The stage key (lowercase kebab-case).

Match^[a-z0-9]+(-[a-z0-9]+)*$
Length1 <= length <= 64

Query Parameters

workflowId?string

Read (or write) the workflow scope of this workflow.

Length1 <= length

Response Body

The row is archived.

application/json
  1. response
ok*boolean
Example Request
curl -X DELETE 'https://app.rensei.ai/api/projects/string/stages/string'
Example Response
{  "ok": true}